## cascading.tuple.io
Class TupleOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  cascading.tuple.io.TupleOutputStream

All Implemented Interfaces:
  Closeable, DataOutput, Flushable

    public abstract class TupleOutputStream

extends DataOutputStream

Class TupleOutputStream is used internally to write Tuples to storage.

Nested Class Summary
`static interface` `TupleOutputStream.ElementWriter`
`protected static interface` `TupleOutputStream.TupleElementWriter`

Field Summary

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`TupleOutputStream(Map<Class,TupleOutputStream.TupleElementWriter> tupleElementWriters, OutputStream outputStream, TupleOutputStream.ElementWriter elementWriter)`

Method Summary
`void` `close()`
`void` `writeElement(Object element)`
`void` `writeElementArray(Object[] elements)`
`abstract void` `writeIndexTuple(IndexTuple indexTuple)`
`protected abstract void` `writeIntInternal(int value)`
`void` `writeTuple(Tuple tuple)`
`void` `writeTuplePair(TuplePair tuplePair)`

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### TupleOutputStream

    public TupleOutputStream(Map<Class,TupleOutputStream.TupleElementWriter> tupleElementWriters,
                             OutputStream outputStream,
                             TupleOutputStream.ElementWriter elementWriter)

Method Detail

### writeTuple

    public void writeTuple(Tuple tuple)
                    throws IOException

  Throws:
    `IOException`

### writeTuplePair

    public void writeTuplePair(TuplePair tuplePair)
                        throws IOException

  Throws:
    `IOException`

### writeIndexTuple

    public abstract void writeIndexTuple(IndexTuple indexTuple)
                                  throws IOException

  Throws:
    `IOException`

### writeElementArray

    public void writeElementArray(Object[] elements)
                           throws IOException

  Throws:
    `IOException`

### writeElement

    public final void writeElement(Object element)
                            throws IOException

  Throws:
    `IOException`

### writeIntInternal

    protected abstract void writeIntInternal(int value)
                                      throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterOutputStream`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.